<?xml version="1.0" encoding="UTF-8"?>
<program xmlns="http://www.nomoseed.org/program" name="tutorial_4">
  <header xmlns="http://www.nomoseed.org/project">
    <author>Cédric Coussinet (cedric.coussinet@nomoseed.net)</author>
    <copyright>
      <mention xml:lang="en">
        Copyright (2013) Cédric Coussinet
      </mention>
    </copyright>
    <license name="GPLv3">
      <mention xml:lang="en">
        This program is free software: you can redistribute it and/or modify
        it under the terms of the GNU General Public License as published
        by the Free Software Foundation, either version 3 of the License, or
        (at your option) any later version.
        
        This program is distributed in the hope that it will be useful,
        but WITHOUT ANY WARRANTY; without even the implied warranty of
        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
        GNU General Public License for more details.
        
        You should have received a copy of the GNU General Public License
        along with this program. If not, see http://www.gnu.org/licenses 
      </mention>
    </license>
    <datetime>2014-03-29T09:34:10Z</datetime>
    <version/>
    <annotation>
      <documentation xml:lang="fr">
        Programme correspondant au exemple du tutoriel portant sur les propriétés élémentaires.
      </documentation>
    </annotation>
  </header>
  <body>
    <models xmlns:xi="http://www.w3.org/2001/XInclude">
      <new instance="tutorial_4">
        <xi:include href="tutorial_4.mod" parse="xml"/>
      </new>
    </models>
    <scheme xmlns="http://www.nomoseed.org/program">
      <scheme name="initialization">
        <rule name="Begin_Affectation_Initial" relevance="0">
          <conclusion model="plant" category="transition" type="transition"> 
            <information value="begin_affectation"/>
          </conclusion>
        </rule>
        <rule name="Get_There_Register_01_Initial" relevance="0">
          <conclusion model="plant" category="operator" type="register_01">
            <information value="get_there"/>
          </conclusion>
        </rule>
        <rule name="Scope_Transition_Register_01_initial" relevance="0">
          <conclusion model="tutorial_4" category="scope" type="register_01">
            <information value="transition"/>
          </conclusion>
        </rule>
      </scheme>
      <scheme name="Phase_Two">
        <rule name="Get_There_Register_02" relevance="0.9">
          <premise model="plant" category="transition" type="transition">
            <information value="begin_affectation" tolerance="0"/>
            <credibility tolerance="INF"/>
            <timespan value="0" tolerance="0"/>
          </premise>
          <conclusion model="plant" category="operator" type="register_02">
            <information value="get_there"/>
          </conclusion>
        </rule>
        <rule name="Scope_All_Register_02" relevance="0.9">
          <premise model="plant" category="transition" type="transition">
            <information value="begin_affectation" tolerance="0"/>
            <credibility tolerance="INF"/>
            <timespan value="0" tolerance="0"/>
          </premise>
          <conclusion model="tutorial_4" category="scope" type="register_02">
            <information value="all"/>
          </conclusion>
        </rule>
        <rule name="Get_There_Register_03" relevance="0.9">
          <premise model="tutorial_4" category="scope" type="register_05">
            <information value="all" tolerance="0"/>
            <credibility tolerance="INF"/>
            <timespan value="0" tolerance="0"/>
          </premise>
          <conclusion model="plant" category="operator" type="register_03">
            <information value="get_there"/>
          </conclusion>
        </rule>
        <rule name="Get_There_Register_04" relevance="0.9">
          <premise model="tutorial_4" category="scope" type="register_05">
            <information value="all" tolerance="0"/>
            <credibility tolerance="INF"/>
            <timespan value="0" tolerance="0"/>
          </premise>
          <conclusion model="plant" category="operator" type="register_04">
            <information value="get_there"/>
          </conclusion>
        </rule>
        <rule name="Get_There_Register_05" relevance="0.9">
          <premise model="tutorial_4" category="scope" type="register_05">
            <information value="all" tolerance="0"/>
            <credibility tolerance="INF"/>
            <timespan value="0" tolerance="0"/>
          </premise>
          <conclusion model="plant" category="operator" type="register_05">
            <information value="get_there"/>
          </conclusion>
        </rule>
      </scheme>
      <scheme name="Phase_Three">
        <rule name="Begin_Excitation" relevance="0.9">
          <premise model="plant" category="transition" type="transition">
            <information value="begin_affectation" tolerance="0"/>
            <credibility tolerance="INF"/>
            <timespan value="1" tolerance="0"/>
          </premise>
          <conclusion model="plant" category="transition" type="transition">
            <information value="begin_excitation"/>
          </conclusion>
        </rule>
        <rule name="Create_Premise_Register_01" relevance="0.9">
          <premise model="plant" category="transition" type="transition">
            <information value="begin_affectation" tolerance="0"/>
            <credibility tolerance="INF"/>
            <timespan value="1" tolerance="0"/>
          </premise>
          <conclusion model="tutorial_4" category="operator" type="register_01">
            <information value="create_premise"/>
          </conclusion>
        </rule>
        <rule name="Scope_All_Register_03" relevance="0.9">
          <premise model="plant" category="transition" type="transition">
            <information value="begin_affectation" tolerance="0"/>
            <credibility tolerance="INF"/>
            <timespan value="1" tolerance="0"/>
          </premise>
          <conclusion model="tutorial_4" category="scope" type="register_03">
            <information value="all"/>
          </conclusion>
        </rule>
      </scheme>
      <scheme name="Phase_Four">
        <rule name="Begin_Finalization" relevance="0.9">
          <premise model="tutorial_4" category="operator" type="register_01">
            <information value="create_premise" tolerance="0"/>
            <credibility tolerance="INF"/>
            <timespan value="0" tolerance="0"/>
          </premise>
          <conclusion model="plant" category="transition" type="transition">
            <information value="begin_finalization"/>
          </conclusion>
        </rule>
        <rule name="Scope_All_Register_04" relevance="0.9">
          <premise model="tutorial_4" category="operator" type="register_01">
            <information value="create_premise" tolerance="0"/>
            <credibility tolerance="INF"/>
            <timespan value="0" tolerance="0"/>
          </premise>
          <conclusion model="tutorial_4" category="scope" type="register_04">
            <information value="all"/>
          </conclusion>
        </rule>
        <rule name="Create_Conclusion_Register_02" relevance="0.9">
          <premise model="tutorial_4" category="operator" type="register_01">
            <information value="create_premise" tolerance="0"/>
            <credibility tolerance="INF"/>
            <timespan value="0" tolerance="0"/>
          </premise>
          <conclusion model="tutorial_4" category="operator" type="register_02">
            <information value="create_conclusion"/>
          </conclusion>
        </rule>
        <rule name="Create_Conclusion_Register_03" relevance="0.9">
          <premise model="tutorial_4" category="scope" type="register_05">
            <information value="all" tolerance="0"/>
            <credibility tolerance="INF"/>
            <timespan value="2" tolerance="0"/>
          </premise>
          <conclusion model="tutorial_4" category="operator" type="register_03">
            <information value="create_conclusion"/>
          </conclusion>
        </rule>
        <rule name="Create_Conclusion_Register_04" relevance="0.9">
          <premise model="tutorial_4" category="scope" type="register_05">
            <information value="all" tolerance="0"/>
            <credibility tolerance="INF"/>
            <timespan value="2" tolerance="0"/>
          </premise>
          <conclusion model="tutorial_4" category="operator" type="register_04">
            <information value="create_conclusion"/>
          </conclusion>
        </rule>
        <rule name="Create_Conclusion_Register_05" relevance="0.9">
          <premise model="tutorial_4" category="scope" type="register_05">
            <information value="all" tolerance="0"/>
            <credibility tolerance="INF"/>
            <timespan value="2" tolerance="0"/>
          </premise>
          <conclusion model="tutorial_4" category="operator" type="register_05">
            <information value="create_conclusion"/>
          </conclusion>
        </rule>
      </scheme>
      <scheme name="Phase_One">
        <rule name="Begin_Affectation" relevance="0.9">
          <premise model="plant" category="transition" type="transition">
            <information value="begin_finalization" tolerance="0"/>
            <credibility tolerance="INF"/>
            <timespan value="0" tolerance="0"/>
          </premise>
          <conclusion model="plant" category="transition" type="transition">
            <information value="begin_affectation"/>
          </conclusion>
        </rule>
        <rule name="Get_Same_Register_01" relevance="0.9">
          <premise model="plant" category="transition" type="transition">
            <information value="begin_finalization" tolerance="0"/>
            <credibility tolerance="INF"/>
            <timespan value="0" tolerance="0"/>
          </premise>
          <conclusion model="plant" category="operator" type="register_01">
            <information value="get_same"/>
          </conclusion>
        </rule>
        <rule name="Scope_Transition_Register_01" relevance="0.9">
          <premise model="plant" category="transition" type="transition">
            <information value="begin_finalization" tolerance="0"/>
            <credibility tolerance="INF"/>
            <timespan value="0" tolerance="0"/>
          </premise>
          <conclusion model="tutorial_4" category="scope" type="register_01">
            <information value="transition"/>
          </conclusion>
        </rule>
        <rule name="Scope_All_Register_05" relevance="0.9">
          <premise model="plant" category="transition" type="transition">
            <information value="begin_finalization" tolerance="0"/>
            <credibility tolerance="INF"/>
            <timespan value="0" tolerance="0"/>
          </premise>
          <conclusion model="tutorial_4" category="scope" type="register_05">
            <information value="all"/>
          </conclusion>
        </rule>
      </scheme>
    </scheme>
  </body>
</program>
